write {base} | R Documentation

## Write Data to a File

### Description

The data (usually a matrix) `x` are written to file `file`. If `x` is a two-dimensional matrix you need to transpose it to get the columns in `file` the same as those in the internal representation.

### Usage

    write(x, file = "data",
          ncolumns = if(is.character(x)) 1 else 5,
          append = FALSE, sep = " ")

### Arguments

`x` | the data to be written out, usually an atomic vector.
`file` | A connection, or a character string naming the file to write to. If `""`, print to the standard output connection.
`ncolumns` | the number of columns to write the data in.
`append` | if `TRUE` the data `x` are appended to the connection.
`sep` | a string used to separate columns. Using `sep = "\t"` gives tab delimited output; default is `" "`.

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

### See Also

`write` is a wrapper for `cat`, which gives further details on the format used.

`save` for writing any R objects, `write.table` for data frames, and `scan` for reading data.

### Examples

    # create a 2 by 5 matrix
    x <- matrix(1:10, ncol = 5)

    # the file data contains x, two rows, five cols
    # 1 3 5 7 9 will form the first row
    write(t(x))

    # Writing to the "console" 'tab-delimited'
    # two rows, five cols but the first row is 1 2 3 4 5
    write(x, "", sep = "\t")
    unlink("data") # tidy up

[Package base version 3.3.0 Index]